<?php

namespace App\Generated\Controllers\V1_1;

use App\Http\Services\V1_1\SchoolService;
use App\Http\Controllers\Controller;
use App\Generated\V1_1\Messages\School\GetListMessage;
use DB;

class SchoolController extends Controller
{
    public $handler;

    public function __construct(SchoolService $handler)
    {
        $this->handler = $handler;
    }

    public function getList(GetListMessage $message)
    {
        $message->validateInput();
        $this->handler->getList($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
